<?php
class CallForwardTargetPropertyCapability  {

	private $mTitle;
	private $mName;
	private $mCallForwardCriteriaSubProperties = array();
	private $mType = NULL;
	
	public function setMType($type) {
	  $this->mType = $type;
	}
	public function getMType() {
	  return $this->mType;
	}
	
	public function setTitle($title) {
		$this->mTitle = $title;
	}

	public function getTitle() {
		return $this->mTitle;
	}
	
	public function setName($name) {
		$this->mName = $name;
	}
	
	public function getName() {
		return $this->mName;
	}
	
	public function toJSON() {
		$json_Data = array();
		$json_Data['name'] = CHtml::encode($this->mName);
		$json_Data['title'] = CHtml::encode($this->mTitle);
		$json_Data['type'] = CHtml::encode($this->mType);

		return json_encode($json_Data);
	}
}


